# 8259.c File Reference

`#include <isa/8259.h>`
`#include <sys/io.h>`
`#include <lib/kprintf.h>`

Include dependency graph for 8259.c:

Go to the source code of this file.

## Functions

int | i8259_init ()
| initialize the 8259 PIC
void | irqDisable (u_int16_t irqNo)
| disable specified IRQ
void | irqEnable (u_int16_t irqNo)
| enable specified IRQ

## Variables

static unsigned int | irqMask = 0xFFFF

## Function Documentation

int i8259_init | ( |  | ) |

initialize the 8259 PIC

This will initialize both PICs for all of our IRQs

Definition at line 42 of file 8259.c.

References icw1, icw4, kprintf(), mImr, mPic, mVec, outportByte(), sImr, sPic, and sVec.

Here is the call graph for this function:

void irqDisable | ( | u_int16_t | irqNo | ) |

disable specified IRQ

Parameters:

  | irqNo | IRQ to disable

Definition at line 81 of file 8259.c.

References irqMask, mPic, outportByte(), and sPic.

Here is the call graph for this function:

void irqEnable | ( | u_int16_t | irqNo | ) |

enable specified IRQ

Parameters:

  | irqNo | IRQ to enable

Definition at line 67 of file 8259.c.

References irqMask, mPic, outportByte(), and sPic.

Here is the call graph for this function:

## Variable Documentation

unsigned int irqMask = 0xFFFF`[static]`

Definition at line 34 of file 8259.c.

Referenced by irqDisable(), and irqEnable().